Subject: bug#28403: 25.2; find-tag works, but xref-find-definitions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2017 05:31:20 +0300

> Date: Sun, 10 Sep 2017 16:12 EDT
> From: Winston <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Eli suggested:
> > ... here's how I suggest you invoke etags to solve the
> > problems with the _ARGS# macros:
> > 
> >   etags --regex="/[ \t]*\([^ \t]+\)[ \t]+_ARGS/\1/" ...
> 
>    I don't think that quite works

It worked with your example.

>    etags --regex="/\([^ ]+\) +_ARGS[0-9]+/\1/" ...
> 
> would work as well?

As long as you understand the principles, it's in your hands.

> Does regex have an implicit '^'?

Yes (as explained in the manual).

>    [Too bad etags doesn't have a way of doing "s/[ \t]+_ARGS[0-9]*//" on
> the lines it normally finds...]

Why do you need that?

>    OK.  I like that approach better than having to do the setq,
> especially since putting a suitable etags command in a makefile is easy.
> That also has the benefit of tying the fix to the code written in that
> style, rather than making a global change that would affect other code I
> work on.

Right.

I guess we can now close the bug report?